routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\InformationController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Route::resource('information', InformationController::class);

app/Models/Information.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Information extends Model
{
    use HasFactory;

    protected $fillable = [
        'name','type','image'
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/InformationController.php
<?php

namespace App\Http\Controllers;

use App\Models\Information;
use Illuminate\Http\Request;

class InformationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $information = Information::orderBy('created_at','asc')->simplePaginate(5);
        return view('pages.index',compact('information'))
        ->with('i', (request()->input('page', 1) - 1) * 5);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('pages.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $input = array();
        $input['name'] = $request->name;
        $input['type'] = $request->type;
        $type = $request->type;
        if($type = 'Stuff Image' ){
            $this->validate($request, [
                'image'=> 'required|image|mimes:jpeg,png,jpg|dimensions:max_width:250|max:2048'
           ]);
        }elseif($type = 'Product Image'){
            $this->validate($request, [
                'image'=> 'required|image|mimes:jpeg,png,jpg|dimensions:max_width:300|max:2048'
           ]);
        }
       

        $image = $request->file('image');
        if ($image) {
            $image_name = date('dmy_H_s_i');
            $ext = strtolower($image->getClientOriginalExtension());
            $image_full_name = $image_name.'.'.$ext;
            $upload_path = 'images/';
            $image_url = $upload_path.$image_full_name;
            $success = $image->move($upload_path,$image_full_name);

            $input['image'] = $image_url;
            Information::create($input);

        return redirect()->route('information.index')
        ->with('success','Information added successfully');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Information  $information
     * @return \Illuminate\Http\Response
     */
    public function show(Information $information)
    {
        return view('pages.view',compact('information'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Information  $information
     * @return \Illuminate\Http\Response
     */
    public function edit(Information $information)
    {
        return view('pages.edit',compact('information'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Information  $information
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Information $information)
    {
        $oldimage = $request->old_image;

        $input = array();
        $input['name'] = $request->name;
        $input['type'] = $request->type;
        

        $image = $request->file('image');
        if ($image) {
            unlink($oldimage);
            $image_name = date('dmy_H_s_i');
            $ext = strtolower($image->getClientOriginalExtension());
            $image_full_name = $image_name.'.'.$ext;
            $upload_path = 'images/';
            $image_url = $upload_path.$image_full_name;
            $success = $image->move($upload_path,$image_full_name);

            $input['image'] = $image_url;
            $information->update($input);
    
            return redirect()->route('information.index')
                            ->with('success','Information updated successfully');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Information  $information
     * @return \Illuminate\Http\Response
     */
    public function destroy(Information $information)
    {
        $information->delete();
     
        return redirect()->route('information.index')
                        ->with('success','Information deleted successfully');
    }
}

resources/views/pages/create.blade.php
@extends('pages.layout')
  
@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Add Information</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-info" href="{{ route('information.index') }}"><i class="fa fa-arrow-circle-left"></i></a>
        </div>
    </div>
</div>
     
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
     
<form action="{{ route('information.store') }}" method="POST" enctype="multipart/form-data">
    @csrf
    
     <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <input type="text" name="name" class="form-control" placeholder="Name">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Type:</strong>
                <td>
                    <select class="custom-select" name="type" id="type">
                        <option selected>Select Image Type</option>
                        <option value="Stuff Image">Stuff Image</option>
                        <option value="Product Image">Product Image</option>
                    </select>
                </td>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Image:</strong>
                <input type="file" name="image" class="form-control" placeholder="image">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary"><i class="fa fa-check-square-o"></i></button>
        </div>
    </div>
     
</form>
@endsection

resources/views/pages/edit.blade.php
@extends('pages.layout')
     
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Edit Information Details</h2>
            </div>
            <div class="pull-right">
                  <a class="btn btn-info" href="{{ route('information.index') }}"><i class="fa fa-arrow-circle-left"></i></a>
            </div>
        </div>
    </div>
     
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    
    <form action="{{ route('information.update',$information->id) }}" method="POST" enctype="multipart/form-data"> 
        @csrf
        @method('PUT')
     
         <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="form-group">
                    <input type="text" name="name" value="{{ $information->name }}" class="form-control" placeholder="Name">
                </div>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="form-group">
                    <strong>Type:</strong>
                    <td>
                        <select class="custom-select" name="type" id="type">
                            <option selected>{{ $information->type }}</option>
                            <option value="Stuff Image">Stuff Image</option>
                            <option value="Product Image">Product Image</option>
                        </select>
                    </td>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Image:</strong>
                    <input type="file" name="image" class="form-control" placeholder="image">
                    <input type="hidden"  class="custom-file-input" name="old_image" value="{{ $information->image }}">
                    <img src="{{ URL::to($information->image) }}" width="300px">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary"><i class="fa fa-check-square-o"></i></button>
            </div>
        </div>
     
    </form>
@endsection

resources/views/pages/index.blade.php
@extends('pages.layout')
     
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('information.create') }}"> <i class="fa fa-plus"></i></a>
            </div>
        </div>
    </div>
    
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
    <div class="col-lg-12 margin-tb">
        <table class="table table-bordered">
            <tr>
                <th></th>
                <th>Image</th>
                <th>Name</th>
                <th>Type</th>
                <th width="280px"></th>
            </tr>
            @foreach ($information as $info)
            <tr>
                <td>{{ $info->id }}</td>
                <td><img src="{{ URL::to($info->image) }}" width="100px"></td>
                <td>{{ $info->name }}</td>
                <td>{{ $info->type }}</td>
                <td>
                    <form action="{{ route('information.destroy',$info->id) }}" method="POST">
     
                        <a class="btn btn-info" href="{{ route('information.show',$info->id) }}"><i class="fa fa-eye"></i></a>
      
                        <a class="btn btn-primary" href="{{ route('information.edit',$info->id) }}"><i class="fa fa-edit"></i></a>
     
                        @csrf
                        @method('DELETE')
        
                        <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
                    </form>
                </td>
            </tr>
            @endforeach
        </table>
        </div>
    
    {!! $information->links() !!}
        
@endsection

resources/views/pages/layout.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>{{ config('app.name', 'Image-App') }}</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet">
        
        <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha/css/bootstrap.css" rel="stylesheet">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    </head>
    <body class="antialiased">
        <div class="container">
          @yield('content')
        </div>
    </body>
</html>

resources/views/pages/view.blade.php
@extends('pages.layout')
   
@section('content')
   <div class="content">
	<div class="container">
		<div class="content-top">
            <div class="pull-left">
				<h2 class="new">Information Details</h2>
            </div>
            <div class="pull-right">
            <a class="btn btn-info" href="{{ route('information.index') }}"><i class="fa fa-arrow-circle-left"></i></a>
        </div>
			<div class="wrap">
				<div class="main">
                    <div class="container-fluid">
                        <center>
                            <div class="col-md-12">
                                <div class="card card-chart">
                                    <div class="card-header card-header-success">
                                        <div id="dailySalesChart"><img class="mx-auto d-block" src="{{ URL::to($information->image) }}" height="245px;" width="320px;"   alt=""/></div>
                                    </div>
                                    <div class="card-body">
                                        <i class="fa fa-hashtag" style="font-size:24px; color:#8fbf00">{{ $information->id }}</i><h4 class="card-title">{{ $information->name }}</h4>
                                        <p class="card-category">
                                        <span class="text-success"></span> {!! html_entity_decode($information->type) !!}</p>
                                    </div>
                                    <div class="card-footer">
                                        <div class="stats">
                                            <form action="{{ route('information.destroy',$information->id) }}" method="POST">
                                                <a class="btn btn-primary" href="{{ route('information.edit',$information->id) }}"><i class="fa fa-edit"></i></a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </center>
                    </div>
				</div>

			</div>
		</div>
	</div>
</div>
@endsection